## org.apache.http.impl.conn.tsccm
Class BasicPoolEntry

    java.lang.Object
      org.apache.http.impl.conn.AbstractPoolEntry
          org.apache.http.impl.conn.tsccm.BasicPoolEntry

    @NotThreadSafe
    public class BasicPoolEntry

extends AbstractPoolEntry

Basic implementation of a connection pool entry.

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.impl.conn.AbstractPoolEntry
`connection, connOperator, route, state, tracker`

Constructor Summary
`BasicPoolEntry(ClientConnectionOperator op, HttpRoute route)` Creates a new pool entry.
`BasicPoolEntry(ClientConnectionOperator op, HttpRoute route, long connTTL, TimeUnit timeunit)` Creates a new pool entry with a specified maximum lifetime.
`BasicPoolEntry(ClientConnectionOperator op, HttpRoute route, ReferenceQueue<Object> queue)` Deprecated. do not use

Method Summary
`protected OperatedClientConnection` `getConnection()`
`long` `getCreated()`
`long` `getExpiry()`
`protected HttpRoute` `getPlannedRoute()`
`long` `getUpdated()`
`long` `getValidUntil()`
`protected BasicPoolEntryRef` `getWeakRef()` Deprecated.
`boolean` `isExpired(long now)`
`protected void` `shutdownEntry()` Shuts down the entry.
`void` `updateExpiry(long time, TimeUnit timeunit)`

Methods inherited from class org.apache.http.impl.conn.AbstractPoolEntry
`getState, layerProtocol, open, setState, tunnelProxy, tunnelTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicPoolEntry

    @Deprecated
    public BasicPoolEntry(ClientConnectionOperator op,
                                     HttpRoute route,
                                     ReferenceQueue<Object> queue)

  Deprecated. do not use

### BasicPoolEntry

    public BasicPoolEntry(ClientConnectionOperator op,
                          HttpRoute route)

  Creates a new pool entry.

  Parameters:
    `op` - the connection operator
    `route` - the planned route for the connection

### BasicPoolEntry

    public BasicPoolEntry(ClientConnectionOperator op,
                          HttpRoute route,
                          long connTTL,
                          TimeUnit timeunit)

  Creates a new pool entry with a specified maximum lifetime.

  Parameters:
    `op` - the connection operator
    `route` - the planned route for the connection
    `connTTL` - maximum lifetime of this entry, <=0 implies "infinity"
    `timeunit` - TimeUnit of connTTL
  Since:
    4.1

Method Detail

### getConnection

    protected final OperatedClientConnection getConnection()

### getPlannedRoute

    protected final HttpRoute getPlannedRoute()

### getWeakRef

    @Deprecated
    protected final BasicPoolEntryRef getWeakRef()

  Deprecated.

### shutdownEntry

    protected void shutdownEntry()

  Description copied from class: `AbstractPoolEntry`
  Shuts down the entry. If `AbstractPoolEntry.open(HttpRoute, HttpContext, HttpParams)` is in progress, this will cause that open to possibly throw an `IOException`.

  Overrides:
    `shutdownEntry` in class `AbstractPoolEntry`

### getCreated

    public long getCreated()

  Since:
    4.1

### getUpdated

    public long getUpdated()

  Since:
    4.1

### getExpiry

    public long getExpiry()

  Since:
    4.1

### getValidUntil

    public long getValidUntil()

### updateExpiry

    public void updateExpiry(long time,
                             TimeUnit timeunit)

  Since:
    4.1

### isExpired

    public boolean isExpired(long now)

  Since:
    4.1

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.